Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.cms
Class CMSContentInfoParser

    java.lang.Object
      org.bouncycastle.cms.CMSContentInfoParser

Direct Known Subclasses:
  CMSAuthenticatedDataParser, CMSCompressedDataParser, CMSEnvelopedDataParser, CMSSignedDataParser

    public class CMSContentInfoParser

extends java.lang.Object

Field Summary
`protected org.bouncycastle.asn1.cms.ContentInfoParser` | `_contentInfo`
`protected java.io.InputStream` | `_data`

Constructor Summary
`protected` | `CMSContentInfoParser(java.io.InputStream data)`

Method Summary
`void` | `close()` Close the underlying data stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _contentInfo

    protected org.bouncycastle.asn1.cms.ContentInfoParser _contentInfo

### _data

    protected java.io.InputStream _data

Constructor Detail

### CMSContentInfoParser

    protected CMSContentInfoParser(java.io.InputStream data)
                            throws CMSException

Throws:
  `CMSException`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Close the underlying data stream.

  Throws:
    `java.io.IOException` - if the close fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD